Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2874203003: Implement serialization/deserialization of geometry interfaces (Closed)

Created:
3 years ago by fserb
Modified:
3 years ago
CC:
blink-reviews, blink-reviews-bindings_chromium.org, chromium-reviews, jbroman+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Implement serialization/deserialization of geometry interfaces The WPT tests are in good shape but not submitted yet: https://github.com/w3c/web-platform-tests/pull/5888 BUG=721331 Review-Url: https://codereview.chromium.org/2874203003 Cr-Commit-Position: refs/heads/master@{#475371} Committed: https://chromium.googlesource.com/chromium/src/+/9e8060a43d58b5e94f8c88518283376242e286b5

Patch Set 1 #

Patch Set 2 : x #

Total comments: 16

Patch Set 3 : x #

Patch Set 4 : x #

Total comments: 2

Patch Set 5 : x #

Total comments: 2

Patch Set 6 : x #

Patch Set 7 : x #

Messages

Total messages: 29 (11 generated)
fserb
3 years ago (2017-05-12 15:17:59 UTC) #4
haraken
+jbroman for the serializer
3 years ago (2017-05-12 15:31:45 UTC) #6
simonp
https://codereview.chromium.org/2874203003/diff/20001/third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueDeserializer.cpp File third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueDeserializer.cpp (right): https://codereview.chromium.org/2874203003/diff/20001/third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueDeserializer.cpp#newcode387 third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueDeserializer.cpp:387: case kDOMMatrix2DTag: { This is not supported by the ...
3 years ago (2017-05-15 13:34:18 UTC) #8
simonp
On 2017/05/15 13:34:18, simonp wrote: > However, that could well be argued to be a ...
3 years ago (2017-05-15 13:45:09 UTC) #9
jbroman
https://codereview.chromium.org/2874203003/diff/20001/third_party/WebKit/Source/bindings/core/v8/serialization/SerializationTag.h File third_party/WebKit/Source/bindings/core/v8/serialization/SerializationTag.h (right): https://codereview.chromium.org/2874203003/diff/20001/third_party/WebKit/Source/bindings/core/v8/serialization/SerializationTag.h#newcode62 third_party/WebKit/Source/bindings/core/v8/serialization/SerializationTag.h:62: kDOMPointTag = 'Q', // x:Double, y:Double, z:Double, w:Double At ...
3 years ago (2017-05-15 17:02:55 UTC) #10
jbroman
(to be clear, my nits about loop unrolling are optional, but I personally find them ...
3 years ago (2017-05-15 17:03:29 UTC) #11
fserb
thanks for the comments, the code is much better now. :) https://codereview.chromium.org/2874203003/diff/20001/third_party/WebKit/Source/bindings/core/v8/serialization/SerializationTag.h File third_party/WebKit/Source/bindings/core/v8/serialization/SerializationTag.h (right): ...
3 years ago (2017-05-15 17:52:17 UTC) #12
jbroman
https://codereview.chromium.org/2874203003/diff/20001/third_party/WebKit/Source/bindings/core/v8/serialization/SerializationTag.h File third_party/WebKit/Source/bindings/core/v8/serialization/SerializationTag.h (right): https://codereview.chromium.org/2874203003/diff/20001/third_party/WebKit/Source/bindings/core/v8/serialization/SerializationTag.h#newcode62 third_party/WebKit/Source/bindings/core/v8/serialization/SerializationTag.h:62: kDOMPointTag = 'Q', // x:Double, y:Double, z:Double, w:Double On ...
3 years ago (2017-05-15 18:00:30 UTC) #13
fserb
I think the whole is2D thing is potentially weird to begin with. Let's see how ...
3 years ago (2017-05-15 18:27:28 UTC) #14
simonp
On 2017/05/15 18:27:28, fserb wrote: > I think the whole is2D thing is potentially weird ...
3 years ago (2017-05-18 07:13:42 UTC) #15
fserb
On 2017/05/18 at 07:13:42, simonp wrote: > On 2017/05/15 18:27:28, fserb wrote: > > I ...
3 years ago (2017-05-18 17:16:39 UTC) #16
jbroman
https://codereview.chromium.org/2874203003/diff/80001/third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueSerializerTest.cpp File third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueSerializerTest.cpp (right): https://codereview.chromium.org/2874203003/diff/80001/third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueSerializerTest.cpp#newcode825 third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueSerializerTest.cpp:825: // TEST(V8ScriptValueSerializerTest, TransferDOMPoint) { Please still remove this commented ...
3 years ago (2017-05-23 19:10:01 UTC) #17
fserb
donerino. https://codereview.chromium.org/2874203003/diff/80001/third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueSerializerTest.cpp File third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueSerializerTest.cpp (right): https://codereview.chromium.org/2874203003/diff/80001/third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueSerializerTest.cpp#newcode825 third_party/WebKit/Source/bindings/core/v8/serialization/V8ScriptValueSerializerTest.cpp:825: // TEST(V8ScriptValueSerializerTest, TransferDOMPoint) { On 2017/05/23 at 19:10:01, ...
3 years ago (2017-05-24 17:51:54 UTC) #18
jbroman
lgtm
3 years ago (2017-05-24 17:53:34 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2874203003/100001
3 years ago (2017-05-24 18:00:34 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/463618)
3 years ago (2017-05-24 19:44:45 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2874203003/120001
3 years ago (2017-05-29 17:19:31 UTC) #26
commit-bot: I haz the power
3 years ago (2017-05-29 19:25:45 UTC) #29
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/9e8060a43d58b5e94f8c88518283...

Powered by Google App Engine
This is Rietveld 408576698